kartik-v/yii2-widget-growl

A widget to generate growl based notifications using bootstrap-growl plugin (sub repo split from yii2-widgets)

Installs: 1 133 706

Dependents: 13

Suggesters: 0

Stars: 38

Watchers: 5

Forks: 15

Open Issues: 4

Type:yii2-extension

v1.1.1 2015-05-03 08:23 UTC

README

Stable Version Unstable Version License Total Downloads Monthly Downloads Daily Downloads

A widget that turns standard Bootstrap alerts into "Growl-like" notifications. This widget is a wrapper for the Bootstrap Growl plugin by remabledesigns.

NOTE: This extension is a sub repo split of yii2-widgets. The split has been done since 08-Nov-2014 to allow developers to install this specific widget in isolation if needed. One can also use the extension the previous way with the whole suite of yii2-widgets.

Installation

The preferred way to install this extension is through composer. Check the composer.json for this extension's requirements and dependencies. Read this web tip /wiki on setting the minimum-stability settings for your application's composer.json.

To install, either run

$ php composer.phar require kartik-v/yii2-widget-growl "*"

or add

"kartik-v/yii2-widget-growl": "*"

to the require section of your composer.json file.

Latest Release

Refer the CHANGE LOG for details on changes to various releases.

Demo

You can refer detailed documentation and demos on usage of the extension.

Usage

use kartik\growl\Growl;

echo Growl::widget([
	'type' => Growl::TYPE_SUCCESS,
	'icon' => 'glyphicon glyphicon-ok-sign',
	'title' => 'Note',
	'showSeparator' => true,
	'body' => 'This is a successful growling alert.'
]);

License

yii2-widget-growl is released under the BSD-3-Clause License. See the bundled LICENSE.md for details.